---
title: sims可视化
language_tabs:
  - shell: Shell
  - http: HTTP
  - javascript: JavaScript
  - ruby: Ruby
  - python: Python
  - php: PHP
  - java: Java
  - go: Go
toc_footers: []
includes: []
search: true
code_clipboard: true
highlight_theme: darkula
headingLevel: 2
generator: "@tarslib/widdershins v4.0.23"

---

# sims可视化

Base URLs:

# Authentication

# sims

## GET 样本处理进度

GET /simsIndex/sampleProcessingProgress

> Body 请求参数

```json
{
  "startDate": "1999-12-28",
  "endDate": "2013-01-17",
  "numWeek": 38,
  "pendingSampleCount": 13,
  "processingSampleCount": 62,
  "doneSampleCount": 20,
  "pageInfo": 33
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 | 样本开始处理时间|none|
|» endDate|body|string| 是 | 样本结束处理时间|结束处理时间即为显示时间|
|» numWeek|body|integer| 否 | 周数|none|
|» pendingSampleCount|body|integer| 是 | 待处理样本数|none|
|» processingSampleCount|body|integer| 是 | 处理中样本数|none|
|» doneSampleCount|body|integer| 是 | 已完成样本数|none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": "2013-12-15",
  "endDate": "1999-03-03",
  "numWeek": 95,
  "progress": 53,
  "pendingSampleCount": 10,
  "processingSampleCount": 9,
  "doneSampleCount": 46,
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|true|none|样本开始处理时间|none|
|» endDate|string|true|none|样本结束处理时间|none|
|» numWeek|integer|true|none|周数|none|
|» progress|number|true|none|已处理占比|none|
|» pendingSampleCount|integer|true|none|待处理样本数|none|
|» processingSampleCount|integer|true|none|处理中样本数|none|
|» doneSampleCount|integer|true|none|已完成样本数|none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 设备工作效率

GET /simsIndex/equipmentProductivity

> Body 请求参数

```json
{
  "startDate": "1990-03-23",
  "endDate": "2002-07-03",
  "numWeek": 37,
  "equipmentOperationalStatusMap": {
    "设备冰箱1": "in proident",
    "设备冰箱2": "cillum",
    "设备冰箱3": "dolor laborum",
    "设备冰箱4": "laboris ad aliquip non"
  },
  "dailyProcessingCapacity": 60,
  "utilNowProcessingCapacity": 30,
  "startDateMap": {
    "sam-1": "labore non nisi magna",
    "sam-2": "tempor quis ut proident"
  },
  "endDateMap": {
    "sam-1": "consequat Duis ex",
    "sam-2": "cupidatat dolor esse"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 | 样本开始处理时间|none|
|» endDate|body|string| 是 | 样本结束处理时间|none|
|» numWeek|body|integer| 否 | 当前周数|none|
|» equipmentOperationalStatusMap|body|object| 是 | 设备运行状态|<设备名，状态>|
|»» 设备冰箱1|body|string| 否 ||none|
|»» 设备冰箱2|body|string| 否 ||none|
|»» 设备冰箱3|body|string| 否 ||none|
|»» 设备冰箱4|body|string| 否 ||none|
|» dailyProcessingCapacity|body|integer| 是 | 日处理上线|none|
|» utilNowProcessingCapacity|body|integer| 是 | 当前处理个数|none|
|» startDateMap|body|object| 是 | 开始处理时间集合|<样本名，时间>|
|»» sam-1|body|string| 否 ||none|
|»» sam-2|body|string| 否 ||none|
|» endDateMap|body|object| 是 | 结束处理时间集合|<样本名，时间>|
|»» sam-1|body|string| 否 ||none|
|»» sam-2|body|string| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": "2024-05-15T08:38:42.848+00:00",
  "numWeek": null,
  "sampleProcessingTimeAvg": 1513,
  "dailyProcessingCapacity": 100,
  "equipmentOperationalStatusMap": {
    "设备冰箱1": "NORMAL",
    "设备冰箱4": "STOPPED",
    "设备冰箱2": "RUNNING",
    "设备冰箱3": "FAULT",
    "pageInfo": 1
  }
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|true|none||none|
|» numWeek|integer|false|none||none|
|» sampleProcessingTimeAvg|integer|true|none|样本平均处理时间|none|
|» dailyProcessingCapacity|integer|true|none|日处理上限|none|
|» equipmentOperationalStatusMap|object|true|none|设备运行状态集合|<设备名,设备状态>|
|»» 设备冰箱1|string|false|none||none|
|»» 设备冰箱4|string|false|none||none|
|»» 设备冰箱2|string|false|none||none|
|»» 设备冰箱3|string|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 设备空间利用率

GET /simsIndex/deviceSpaceUtilization

> Body 请求参数

```json
{
  "startDate": "string",
  "endDate": "string",
  "numWeek": 0,
  "pageInfo": 0,
  "deviceSpacemap": {
    "1": 0,
    "2": 0,
    "3": 0
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|
|» deviceSpacemap|body|object| 是 | 空间利用率集合|<时间，利用率>|
|»» 1|body|number| 否 ||none|
|»» 2|body|number| 否 ||none|
|»» 3|body|number| 否 ||none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "pageInfo": 2,
  "deviceSpaceMap": {
    "1": 0.23,
    "2": 0.45,
    "3": 0.61
  }
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|
|» deviceSpaceMap|object|true|none|空间利用率集合|<时间，利用率>|
|»» 1|number|false|none||none|
|»» 2|number|false|none||none|
|»» 3|number|false|none||none|

## GET 样本出入销库统计

GET /simsIndex/statisticsOfSamplesInAndOutTheWarehouse

> Body 请求参数

```json
{
  "startDate": "1990-03-23",
  "endDate": "2002-07-03",
  "numWeek": 37,
  "storageCountOfWeekMap": {
    "4.16": "1",
    "4.17": "2"
  },
  "fetchedCountOfWeekMap": {
    "4.16": "3",
    "4.17": "4"
  },
  "sellOutCountOfWeekMap": {
    "4.16": "5",
    "4.17": "6"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 是 | 当前周数|none|
|» storageCountOfWeekMap|body|object| 是 | 每日入库数量|<日期，数量>|
|»» 4.16|body|integer| 否 ||none|
|»» 4.17|body|integer| 否 ||none|
|» fetchedCountOfWeekMap|body|object| 是 | 每日出库数量|<日期，数量>|
|»» 4.16|body|integer| 否 ||none|
|»» 4.17|body|integer| 否 ||none|
|» sellOutCountOfWeekMap|body|object| 是 | 每日销库数量|<日期，数量>|
|»» 4.16|body|integer| 否 ||none|
|»» 4.17|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": 1,
  "storageCountOfWeekMap": {
    "4.16": 1,
    "4.17": 2
  },
  "fetchedCountOfWeekMap": {
    "4.16": 3,
    "4.17": 4
  },
  "sellOutCountOfWeekMap": {
    "4.16": 5,
    "4.17": 6
  },
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|true|none|当前周数|none|
|» storageCountOfWeekMap|object|true|none|每日入库数量|<日期，数量>|
|»» 4.16|integer|false|none||none|
|»» 4.17|integer|false|none||none|
|» fetchedCountOfWeekMap|object|true|none|每日出库数量|<日期，数量>|
|»» 4.16|integer|false|none||none|
|»» 4.17|integer|false|none||none|
|» sellOutCountOfWeekMap|object|true|none|每日销库数量|<日期，数量>|
|»» 4.16|integer|false|none||none|
|»» 4.17|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 样本入库相关指标

GET /simsIndex/sampleWarehousingRelatedIndicators

> Body 请求参数

```json
{
  "startDate": "1990-03-23",
  "endDate": "2002-07-03",
  "numWeek": 37,
  "storageCount": 116,
  "needStorageCount": 200,
  "storageStartTime": "2002-07-03",
  "robotOperationalStatus": "正常",
  "storageLocationMap": {
    "实验室1号楼1D-3c": "状态1"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» storageCount|body|integer| 是 | 已入库样本数|none|
|» needStorageCount|body|integer| 是 | 申请入库样本总数|none|
|» storageStartTime|body|string| 是 | 入库等待时间|none|
|» robotOperationalStatus|body|string| 是 | 机器人运行状态|none|
|» storageLocationMap|body|object| 是 | 入库样本跟追集合|<跟追地，状态>|
|»» 实验室1号楼1D-3c|body|string| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "storageCount": 116,
  "storageCapacity": 0.58,
  "storageStartTime": "2024-05-15T07:00:00.888+00:00",
  "robotOperationalStatus": "125.9",
  "storageLocationMap": {
    "实验室1号楼1D-3c": "状态1"
  },
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» storageCount|integer|true|none|已入库样本数|none|
|» storageCapacity|number|true|none|申请入库样本总数|none|
|» storageStartTime|string|true|none|入库等待时间|none|
|» robotOperationalStatus|string|true|none|机器人运行状态|none|
|» storageLocationMap|object|true|none|入库样本跟追集合|<跟追地，状态>|
|»» 实验室1号楼1D-3c|string|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 样本出库相关指标

GET /simsIndex/sampleOutboundRelatedIndicators

> Body 请求参数

```json
{
  "startDate": "2008-03-14",
  "endDate": "1995-01-05",
  "numWeek": 94,
  "fetchedCount": 66,
  "urgentFetchedCount": 71,
  "fetchedLocation": "qui id",
  "fetchedDateMap": {
    "sam-1": "culpa mollit",
    "sam-2": "enim"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» fetchedCount|body|integer| 是 | 出库样本总数|none|
|» urgentFetchedCount|body|integer| 是 | 紧急出库请求数|none|
|» fetchedLocation|body|string| 是 | 样本目的地|none|
|» fetchedDateMap|body|object| 是 | 今日样本出库时间集合|<样本编号,出库时间>|
|»» sam-1|body|string| 否 ||none|
|»» sam-2|body|string| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "fetchedCount": 116,
  "urgentFetchedCount": 36,
  "fetchedLocation": "实验室1号楼1D-3c",
  "fetchedTime": "55小时34分",
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» fetchedCount|integer|true|none|出库样本总数|none|
|» urgentFetchedCount|integer|true|none|紧急出库请求数|none|
|» fetchedLocation|string|true|none|样本目的地|none|
|» fetchedTime|string|true|none|出库处理时间总时长|none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 设备自动化预警

GET /simsIndex/automaticEquipmentEarlyWarning

> Body 请求参数

```json
{
  "startDate": "1978-04-22",
  "endDate": "2012-08-07",
  "numWeek": 13,
  "earlyWaringVoList": [
    {
      "earlyWarningDate": "1996-01-26",
      "equipmentName": "资基省达精求",
      "equipmentPriority": "Duis anim commodo enim culpa",
      "equipmentDescription": "et anim velit labore incididunt"
    }
  ]
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» earlyWaringVoList|body|[object]| 是 | 预警对象列表|<预警对象>|
|»» earlyWarningDate|body|string| 是 | 预警时间|none|
|»» equipmentName|body|string| 是 | 设备名称|none|
|»» equipmentPriority|body|string| 是 | 优先级|none|
|»» equipmentDescription|body|string| 是 | 预警描述|none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "earlyWaringVoList": [
    {
      "earlyWarningDate": "2024-05-15T08:51:01.573+00:00",
      "equipmentName": "XXX",
      "equipmentPriority": "高",
      "equipmentDescription": "XXXXXXXXX"
    },
    {
      "earlyWarningDate": "2024-05-15T08:51:01.573+00:00",
      "equipmentName": "XXS",
      "equipmentPriority": "高",
      "equipmentDescription": "XXXXXXXXXSSS"
    }
  ],
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» earlyWaringVoList|[object]|true|none|预警对象列表|<预警对象>|
|»» earlyWarningDate|string|true|none|预警时间|none|
|»» equipmentName|string|true|none|设备名称|none|
|»» equipmentPriority|string|true|none|优先级|none|
|»» equipmentDescription|string|true|none|预警描述|none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 样本库监测

GET /simsIndex/sampleBankMonitoring

> Body 请求参数

```json
{
  "startDate": "2011-08-21",
  "endDate": "2021-06-13",
  "sampleCountTotal": 76,
  "temperatureMap": {
    "样本库1": "tempor sint nisi incididunt",
    "样本库2": "voluptate ut sit dolor",
    "样本库3": "ut fugiat Duis",
    "样本库4": "irure"
  },
  "humidityMap": {
    "样本库1": "aliqua",
    "样本库2": "Duis ut sed fugiat est",
    "样本库3": "Ut",
    "样本库4": "non incididunt sit enim"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» sampleCountTotal|body|integer| 是 | 样本总数|none|
|» temperatureMap|body|object| 是 | 样本库温度集合|<样本库名,温度>|
|»» 样本库1|body|integer| 否 ||none|
|»» 样本库2|body|integer| 否 ||none|
|»» 样本库3|body|integer| 否 ||none|
|»» 样本库4|body|integer| 否 ||none|
|» humidityMap|body|object| 是 | 样本库湿度集合|<样本库名,湿度>|
|»» 样本库1|body|number| 否 ||none|
|»» 样本库2|body|number| 否 ||none|
|»» 样本库3|body|number| 否 ||none|
|»» 样本库4|body|number| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "sampleCountTotal": 168,
  "temperatureMap": {
    "自动化库4": -80,
    "自动化库3": -80,
    "自动化库2": -80,
    "自动化库1": -80
  },
  "humidityMap": {
    "自动化库4": 0.36,
    "自动化库3": 0.36,
    "自动化库2": 0.36,
    "自动化库1": 0.36
  },
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» sampleCountTotal|integer|true|none|样本总数|none|
|» temperatureMap|object|true|none|样本库温度集合|<样本库名,温度>|
|»» 自动化库4|integer|false|none||none|
|»» 自动化库3|integer|false|none||none|
|»» 自动化库2|integer|false|none||none|
|»» 自动化库1|integer|false|none||none|
|» humidityMap|object|true|none|样本库湿度集合|<样本库名,湿度>|
|»» 自动化库4|number|false|none||none|
|»» 自动化库3|number|false|none||none|
|»» 自动化库2|number|false|none||none|
|»» 自动化库1|number|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 样本库数据总览

GET /simsIndex/sampleDatabaseDataOverview

> Body 请求参数

```json
{
  "startDate": "2010-08-23",
  "endDate": "2002-12-01",
  "numWeek": 59,
  "equipmentCountTotal": 27,
  "inventoryCount": 48,
  "inventorySpaceUtilization": 15,
  "sampleExpirationDateMonitoring": 88,
  "storageTotalMap": {
    "一月": "incididunt amet ullamco et officia"
  },
  "fetchTotalMap": {
    "一月": "minim dolore"
  },
  "sellOutTotalMap": {
    "一月": "Duis nulla adipisicing et consequat"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» equipmentCountTotal|body|integer| 是 | 设备数量|none|
|» inventoryCount|body|integer| 是 | 实时库存量|none|
|» inventorySpaceUtilization|body|number| 是 | 库存空间利用率|none|
|» sampleExpirationDateMonitoring|body|integer| 是 | 样本有效期监控数量|none|
|» storageTotalMap|body|object| 是 | 入库总数集合|<月份，数量>|
|»» 一月|body|integer| 否 ||none|
|» fetchTotalMap|body|object| 是 | 出库总数集合|<月份，数量>|
|»» 一月|body|integer| 否 ||none|
|» sellOutTotalMap|body|object| 是 | 销库总数集合|<月份，数量>|
|»» 一月|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "equipmentCountTotal": 12,
  "inventoryCount": 102,
  "inventorySpaceUtilization": 0.5,
  "sampleExpirationDateMonitoring": 1,
  "storageTotalMap": {
    "3月": 600,
    "2月": 400,
    "1月": 200
  },
  "fetchTotalMap": {
    "3月": 300,
    "2月": 200,
    "1月": 100
  },
  "sellOutTotalMap": {
    "3月": 500,
    "2月": 300,
    "1月": 100
  },
  "pageInfo": 1
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» equipmentCountTotal|integer|true|none|设备数量|none|
|» inventoryCount|integer|true|none|实时库存量|none|
|» inventorySpaceUtilization|number|true|none|库存空间利用率|none|
|» sampleExpirationDateMonitoring|integer|true|none|样本有效期监控数量|none|
|» storageTotalMap|object|true|none|入库总数集合|<月份，数量>|
|»» 3月|integer|false|none||none|
|»» 2月|integer|false|none||none|
|»» 1月|integer|false|none||none|
|» fetchTotalMap|object|true|none|出库总数集合|<月份，数量>|
|»» 3月|integer|false|none||none|
|»» 2月|integer|false|none||none|
|»» 1月|integer|false|none||none|
|» sellOutTotalMap|object|true|none|销库总数集合|<月份，数量>|
|»» 3月|integer|false|none||none|
|»» 2月|integer|false|none||none|
|»» 1月|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|

## GET 设备类型

GET /simsIndex/equipmentType

> Body 请求参数

```json
{
  "startDate": "1980-06-14",
  "endDate": "1972-06-25",
  "numWeek": 19,
  "pageInfo": 78,
  "equipmentCountMap": {
    "冰箱": "ad occaecat nostrud proident",
    "液氮罐": "sunt aliqua Excepteur",
    "AGV": "Ut reprehenderit id"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|
|» equipmentCountMap|body|object| 是 | 设备数量集合|<设备名，设备数量>|
|»» 冰箱|body|integer| 否 ||none|
|»» 液氮罐|body|integer| 否 ||none|
|»» AGV|body|integer| 否 ||none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "pageInfo": 2,
  "allEquipmentTotal": 28,
  "equipmentCountMap": {
    "AGV": 4,
    "冰箱": 20,
    "液氮罐": 4
  }
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|
|» allEquipmentTotal|integer|true|none|所有设备总数|none|
|» equipmentCountMap|object|true|none|设备数量集合|<设备名，设备数量>|
|»» AGV|integer|true|none||none|
|»» 冰箱|integer|true|none||none|
|»» 液氮罐|integer|true|none||none|

## GET 样本类型

GET /simsIndex/sampleType

> Body 请求参数

```json
{
  "startDate": "2005-04-30",
  "endDate": "2022-10-13",
  "numWeek": 30,
  "pageInfo": 57,
  "sampleCountMap": {
    "DNA": "veniam dolor",
    "植物细胞": "tempor",
    "原核细胞": "labore ut in est Duis",
    "真核细胞": "dolore"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|
|» sampleCountMap|body|object| 是 | 样本数量集合|<样本名，样本数>|
|»» DNA|body|integer| 否 ||none|
|»» 植物细胞|body|integer| 否 ||none|
|»» 原核细胞|body|integer| 否 ||none|
|»» 真核细胞|body|integer| 否 ||none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "pageInfo": 2,
  "sampleCountMap": {
    "DNA": 164,
    "植物细胞": 217,
    "原核细胞": 80,
    "真核细胞": 100
  }
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|
|» sampleCountMap|object|true|none|样本数量集合|<样本名，样本数>|
|»» DNA|integer|false|none||none|
|»» 植物细胞|integer|false|none||none|
|»» 原核细胞|integer|false|none||none|
|»» 真核细胞|integer|false|none||none|

## GET 设备汇总

GET /simsIndex/equipmentTotal

> Body 请求参数

```json
{
  "startDate": "1996-04-01",
  "endDate": "1981-03-14",
  "numWeek": 17,
  "pageInfo": 42,
  "temperatureMap": {
    "设备1": 54,
    "设备2": 33,
    "设备3": 91
  },
  "humidityMap": {
    "设备1": 98,
    "设备2": 46,
    "设备3": 94
  },
  "statusMap": {
    "设备1": "minim aliquip amet",
    "设备2": "aliqua",
    "设备3": "aliquip ut minim dolore"
  }
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|
|» temperatureMap|body|object| 是 | 设备温度集合|<设备名，温度>|
|»» 设备1|body|integer| 否 ||none|
|»» 设备2|body|integer| 否 ||none|
|»» 设备3|body|integer| 否 ||none|
|» humidityMap|body|object| 是 | 设备湿度集合|<设备名，湿度>|
|»» 设备1|body|number| 否 ||none|
|»» 设备2|body|number| 否 ||none|
|»» 设备3|body|number| 否 ||none|
|» statusMap|body|object| 是 | 设备状态集合|<设备名，状态>|
|»» 设备1|body|string| 是 ||none|
|»» 设备2|body|string| 是 ||none|
|»» 设备3|body|string| 是 ||none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "pageInfo": 2,
  "temperatureMap": {
    "设备3": 25,
    "设备2": 25,
    "设备1": 25
  },
  "humidityMap": {
    "设备3": 0.25,
    "设备2": 0.25,
    "设备1": 0.25
  },
  "statusMap": {
    "设备3": "断电",
    "设备2": "运行",
    "设备1": "正常"
  }
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|
|» temperatureMap|object|true|none|设备温度集合|<设备名，温度>|
|»» 设备3|integer|true|none||none|
|»» 设备2|integer|true|none||none|
|»» 设备1|integer|true|none||none|
|» humidityMap|object|true|none|设备湿度集合|<设备名，湿度>|
|»» 设备3|number|true|none||none|
|»» 设备2|number|true|none||none|
|»» 设备1|number|true|none||none|
|» statusMap|object|true|none|设备状态集合|<设备名，状态>|
|»» 设备3|string|true|none||none|
|»» 设备2|string|true|none||none|
|»» 设备1|string|true|none||none|

## GET 样本小管出入库

GET /simsIndex/sampleTubesInBase

> Body 请求参数

```json
{
  "startDate": "1983-10-18",
  "endDate": "1977-01-11",
  "numWeek": 21,
  "sampleBoxCount": 95,
  "sampleTubesCount": 97,
  "sampleCount": 74,
  "fetchCount": 76,
  "storageCount": 35
}
```

### 请求参数

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|Authorization|header|string| 是 ||none|
|body|body|object| 否 ||none|
|» startDate|body|string| 否 ||none|
|» endDate|body|string| 否 ||none|
|» numWeek|body|integer| 否 ||none|
|» pageInfo|body|integer| 是 | 所在页码|none|
|» sampleBoxCount|body|integer| 是 | 样本盒总数|none|
|» sampleTubesCount|body|integer| 是 | 样本小管数量|none|
|» sampleCount|body|integer| 是 | 样本总数|none|
|» fetchCount|body|integer| 是 | 出库数|none|
|» storageCount|body|integer| 是 | 入库数|none|

> 返回示例

> 成功

```json
{
  "startDate": null,
  "endDate": null,
  "numWeek": null,
  "pageInfo": 2,
  "sampleBoxCount": 1861,
  "sampleTubesCount": 23410,
  "sampleCount": 7610,
  "fetchCount": 200,
  "storageCount": 400
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|成功|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» startDate|string|false|none||none|
|» endDate|string|false|none||none|
|» numWeek|integer|false|none||none|
|» pageInfo|integer|true|none|所在页码|none|
|» sampleBoxCount|integer|true|none|样本盒总数|none|
|» sampleTubesCount|integer|true|none|样本小管数量|none|
|» sampleCount|integer|true|none|样本总数|none|
|» fetchCount|integer|true|none|出库数|none|
|» storageCount|integer|true|none|入库数|none|