package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本库数据总览dto
 * @date 2024/05/14/10:02
 */

@Data
public class SampleDatabaseDataOverviewInfo extends SimsBase {
    /**
     * 设备数量
     */
    private Integer equipmentCountTotal;

    /**
     * 实时库存量
     */
    private Integer inventoryCount;

    /**
     * 库存空间利用率
     */
    private Double inventorySpaceUtilization;

    /**
     * 样本有效期监控
     */
    private Integer sampleExpirationDateMonitoring;

    /**
     * 入库总数集合<月份，数量>
     */
    private Map<String,Long> storageTotalMap;

    /**
     * 出库总数集合<月份，数量>
     */
    private Map<String,Long> fetchTotalMap;

    /**
     * 销库总数集合<月份，数量>
     */
    private Map<String,Long> sellOutTotalMap;
}
