package com.github.jfcloud.sims.sample.automatic.datav.service;

import com.github.jfcloud.sims.sample.automatic.datav.dto.*;
import com.github.jfcloud.sims.sample.automatic.datav.vo.*;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description SIMS统计首页服务
 * @date 2024/5/14 08:52:08
 */
public interface SimsDatavIndexService {

    /**
     * 样本处理进度
     * @param sampleProcessingProgressVo
     * @return
     */
    public SampleProcessingProgressInfo sampleProcessingProgress(SampleProcessingProgressVo sampleProcessingProgressVo);

    /**
     *设备工作效率
     * @param equipmentProductivityVo
     * @return
     */
    public EquipmentProductivityInfo equipmentProductivity(EquipmentProductivityVo equipmentProductivityVo);

    /**
     * 样本出入销库统计
     * @param statisticsOfSamplesInAndOutTheWarehouseVo
     * @return
     */
    public StatisticsOfSamplesInAndOutTheWarehouseInfo statisticsOfSamplesInAndOutTheWarehouse(StatisticsOfSamplesInAndOutTheWarehouseVo statisticsOfSamplesInAndOutTheWarehouseVo);

    /**
     * 样本入库相关指标
     * @param sampleWarehousingRelatedIndicatorsVo
     * @return
     */
    public SampleWarehousingRelatedIndicatorsInfo sampleWarehousingRelatedIndicators(SampleWarehousingRelatedIndicatorsVo sampleWarehousingRelatedIndicatorsVo);

    /**
     * 样本出库相关指标
     *
     * @param sampleOutboundRelatedIndicatorsVo
     * @return
     */
    public SampleOutboundRelatedIndicatorsInfo sampleOutboundRelatedIndicators(SampleOutboundRelatedIndicatorsVo sampleOutboundRelatedIndicatorsVo);

    /**
     * 设备自动化预警
     * @param automaticEquipmentEarlyWarningVo
     * @return
     */
    public AutomaticEquipmentEarlyWarningInfo automaticEquipmentEarlyWarning(AutomaticEquipmentEarlyWarningVo automaticEquipmentEarlyWarningVo);

    /**
     * 样本库监测
     * @param sampleBankMonitoringVo
     * @return
     */
    public SampleBankMonitoringInfo sampleBankMonitoring(SampleBankMonitoringVo sampleBankMonitoringVo);

    /**
     * 样本库数据总览
     * @param sampleDatabaseDataOverviewVo
     * @return
     */
    public SampleDatabaseDataOverviewInfo sampleDatabaseDataOverview(SampleDatabaseDataOverviewVo sampleDatabaseDataOverviewVo);

    /**
     * 设备类型
     * @param equipmentTypeVo
     * @return
     */
    public EquipmentTypeInfo equipmentType(EquipmentTypeVo equipmentTypeVo);

    /**
     * 样本类型
     * @param sampleTypeVo
     * @return
     */
    public SampleTypeInfo sampleType(SampleTypeVo sampleTypeVo);

    /**
     * 设备汇总
     * @param equipmentTotalVo
     * @return
     */
    public EquipmentTotalInfo equipmentTotal(EquipmentTotalVo equipmentTotalVo);

    /**
     * 样本小管出入库
     * @param sampleTubesInBaseVo
     * @return
     */
    public SampleTubesInBaseInfo sampleTubesInBase(SampleTubesInBaseVo sampleTubesInBaseVo);

    /**
     * 设备空间利用率
     * @param deviceSpaceUtilizationVo
     * @return
     */
    public DeviceSpaceUtilizationInfo deviceSpaceUtilization(DeviceSpaceUtilizationVo deviceSpaceUtilizationVo);
}
