package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本库出库相关指标vo
 * @date 2024/05/14/10:00
 */

@Data
public class SampleOutboundRelatedIndicatorsVo extends SimsBaseVo{
    /**
     * 出库样本数
     */
    private Integer fetchedCount;

    /**
     * 紧急出库请求
     */
    private Integer urgentFetchedCount;

    /**
     * 出库样本目的地
     */
    private String fetchedLocation;

    /**
     * 今日样本出库时间集合<样本编号,出库时间>
     */
    Map<String, Date> fetchedDateMap;

    /**
     * 今日样本结束出库时间集合<样本编号,结束出库时间>
     */
    Map<String, Date> unFechedDateMap;
}
